# Created by pyp2rpm-3.3.6
%global pypi_name click-default-group

Name:           python-%{pypi_name}
Version:        1.2.2
Release:        1%{?dist}
Summary:        Extends click.Group to invoke a command without explicit subcommand name

License:        BSD
URL:            https://github.com/sublee/click-default-group/
Source0:        %url/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(click)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)

%description
Provides DefaultGroup, a subclass of click.Group that invokes a default
subcommand instead of showing a help message when a subcommand is not passed.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
Provides DefaultGroup, a subclass of click.Group that invokes a default
subcommand instead of showing a help message when a subcommand is not passed.

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%pytest

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/__pycache__/click_default_group.*
%{python3_sitelib}/click_default_group.py
%{python3_sitelib}/click_default_group-%{version}-py%{python3_version}.egg-info

%changelog
* Mon May 24 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.2.2-1
- Initial package.
- Close: rhbz#1963936
